Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalBorders.PaletteBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          javax.swing.plaf.metal.MetalBorders.PaletteBorder

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  MetalBorders

    public static class MetalBorders.PaletteBorder

extends AbstractBorder
implements UIResource

Border for a Palette.

Since:
  1.3

Constructor Summary
`MetalBorders.PaletteBorder()`

Method Summary
`Insets` | `getBorderInsets(Component c)` This default implementation returns a new `Insets` instance where the `top`, `left`, `bottom`, and `right` fields are set to `0`.
`Insets` | `getBorderInsets(Component c, Insets newInsets)` Reinitializes the insets parameter with this Border's current Insets.
`void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalBorders.PaletteBorder

    public MetalBorders.PaletteBorder()

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

  Description copied from class: `AbstractBorder`
  This default implementation does no painting.

  Specified by:
    `paintBorder` in interface `Border`
  Overrides:
    `paintBorder` in class `AbstractBorder`
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `w` - the width of the painted border
    `h` - the height of the painted border

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Description copied from class: `AbstractBorder`
  This default implementation returns a new `Insets` instance where the `top`, `left`, `bottom`, and `right` fields are set to `0`.

  Specified by:
    `getBorderInsets` in interface `Border`
  Overrides:
    `getBorderInsets` in class `AbstractBorder`
  Parameters:
    `c` - the component for which this border insets value applies
  Returns:
    the new `Insets` object initialized to 0

### getBorderInsets

    public Insets getBorderInsets(Component c,
                                  Insets newInsets)

  Description copied from class: `AbstractBorder`
  Reinitializes the insets parameter with this Border's current Insets.

  Overrides:
    `getBorderInsets` in class `AbstractBorder`
  Parameters:
    `c` - the component for which this border insets value applies
    `newInsets` - the object to be reinitialized
  Returns:
    the `insets` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.